Subject: Re: bug#67527: 30.0.50; FR: Add an option to disable ispell completion in text-mode

From: Eli Zaretskii <[email-masked]>
Date: Tue, 09 Jan 2024 15:33:48 +0200

> From: Simon Manning <[email-masked]>
> Date: Mon, 8 Jan 2024 12:55:00 -0500
> 
> For what it's worth, I've hit the same issue as Eason and have had to use the same workaround. The
> behavior is quite annoying with this (I think quite common?) setup because you can't really type
> without completion popups for simple words continuously showing up.

We add ispell-completion-at-point to completion-at-point-functions
with DEPTH of 10.  So if other packages use DEPTH omitted or nil when
adding their functions to completion-at-point-functions, they should
be called before ispell-completion-at-point.  Does that happen?  if
not, why not?  If it does happen, why isn't that a good enough
resolution of the situation where several candidates compete for the
privilege of providing a completion?

I took a liberty to add back Eason to the discussion, in the hope that
he could explain why DEPTH of 10 didn't solve his situation.

Thanks.